import { ZegoAudioContext } from '../../types/index';
import { LoggerWeb } from '../webrtc/zego.logger.webrtc';
export declare class audioMixUtil {
    logger: LoggerWeb;
    ac: ZegoAudioContext;
    localStream: MediaStream;
    peerConnection: RTCPeerConnection | any;
    audioBuffer: AudioBuffer;
    audioBufferList: Array<AudioBuffer>;
    loop: boolean;
    replace: boolean;
    buffSource: AudioBufferSourceNode;
    effectEndedCallBack: Function;
    effectEndedListener: EventListenerOrEventListenerObject;
    startTimes: number;
    startOffset: number;
    pauseTimes: number;
    resumeOffset: number;
    isMixAudio: boolean;
    isMixingBuffer: boolean;
    private streamSource;
    private gainNode;
    private mixAudio;
    private destination;
    constructor(log: LoggerWeb, ac: ZegoAudioContext);
    preloadEffect(effectUrl: string, callBack: Function): void;
    playEffect(playTime?: number, loop?: boolean, replace?: boolean, start?: Function, end?: Function): void;
    mixingBuffer(ab: ArrayBuffer, callBack?: Function): void;
    stopMingBuffer(): boolean;
    playRealTimeEffect(ab: AudioBuffer): void;
    pauseEffect(): void;
    resumeEffect(): void;
    mixEffect(audioBuffer: AudioBuffer, callBack: Function): void;
    startMixingAudio(audio: any, replace?: boolean): boolean;
    replaceTrack(): boolean;
    stopMixingAudio(): boolean;
    setMixingAudioVolume(volume: number): boolean;
    effectEndedHandler(): void;
}
